## metview 4.6.5

=== debian/changelog ===
metview (4.6.5-5) unstable; urgency=medium

  * Use python3-all-dev, now that magics++ uses python3. Closes: #823165
  * set LC_ALL=C in debian/rules for reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2016 13:18:25 +0100

metview (4.6.5-4) unstable; urgency=medium

  * Remove obsolete dependency on OpenJPEG. Closes: #826821
  * Enable stdc=c++11 for unique_ptr features in magics++

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2016 11:48:38 +0100

metview (4.6.5-3) unstable; urgency=medium

  * Depend on magics >= 2.28.0-2 to get fixed gfortran dependency.
    Closes: #825021

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 May 2016 10:14:42 +0100

metview (4.6.5-2) unstable; urgency=medium

  * Add python-all-dev, now needed for linking. Closes: #823165.
  * Standards-Version: 3.9.8.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 May 2016 15:57:01 +0100

metview (4.6.5-1) unstable; urgency=medium

  * New upstream release: Closes: #818857.
    *  fix-paths.patch removed
  * Standards-Version: 3.9.7. No changes required.
  * auto-ptr.patch: remove obsolete auto_ptrs.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Apr 2016 16:44:21 +0100

=== debian/control ===
Source: metview
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), 
  flex, bison, libhdf5-dev, libpango1.0-dev, chrpath, ksh,
  libqt5webkit5-dev, qtbase5-dev, libqt5xmlpatterns5-dev,
  libgrib-api-dev, libgrib-api-tools,
  libemos-dev (>= 2:4.1.1-2), libboost-dev,
  libmagics++-metview-dev, 
  libmagics++-dev (>= 2.28.0-2),
  libxmu-dev, libgdbm-dev, libcurl4-gnutls-dev,
  libcairo2-dev, pkg-config, swig, libexpat1-dev,
  libterralib-dev, ksh, libproj-dev,
  libgd-dev, imagemagick, libnetcdf-dev, libnetcdf-cxx-legacy-dev,
  cmake, flextra, gfortran, libgeotiff-dev,
  python-all-dev, python3-all-dev
Standards-Version: 3.9.8
Homepage: https://software.ecmwf.int/wiki/display/METV/Metview
Vcs-Git: git://anonscm.debian.org/debian-science/packages/metview.git

Package: metview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ksh | mksh | pdksh | zsh, 
 x11-utils, metview-data, python
Recommends: magics++
Description: Interactive data visualization and analysis environment,
 Metview has been designed as a flexible, modular and extendible system 
 able to accommodate the evolving needs of the user. 
 The system is based on the ECMWF standards for graphics (Magics) and 
 data access (MARS) but can also access locally stored data. 
 The user interface is based on Motif and Qt. Metview is a 
 fully distributed system where modules can run on different workstations
 and servers.
 .
 Metview is a cooperative project between ECMWF and INPE/CPTEC, Brazil. 
 ECMWF has also been assisted by a staff member of Météo-France. 

Package: metview-data
Depends: ${misc:Depends}
Architecture: all
Description: Data needed for the Metview data analysis environment
 Metview has been designed as a flexible, modular and extendible system
 able to accommodate the evolving needs of the user.
 The system is based on the ECMWF standards for graphics (Magics) and
 data access (MARS) but can also access locally stored data.
 The user interface is based on Motif and Qt. Metview is a
 fully distributed system where modules can run on different workstations
 and servers.
 .
 This package provides data files needed for metvieww.

Package: libmetview-dev
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: libdevel
Description: Development files for MetView
 Metview has been designed as a flexible, modular and extendible system
 able to accommodate the evolving needs of the user.
 The system is based on the ECMWF standards for graphics (Magics) and
 data access (MARS) but can also access locally stored data.
 The user interface is based on Motif and Qt. Metview is a
 fully distributed system where modules can run on different workstations
 and servers.
 .
 This package provides static libraries and include files for building
 Metview-based software.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_LDFLAGS_MAINT_PREPEND:= -Wl,-z,defs -Wl,--as-needed
DEB_BUILD_MAINT_OPTIONS:= hardening=+all,-format
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC
export DEB_BUILD_MAINT_OPTIONS DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_PREPEND
export QT_SELECT=5
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++11

# Needed for sbuild. metview creates temp directories during build
export HOME:=/tmp
export METVIEW_LOCALHOST:=127.0.0.1
export METVIEW_DEBUG:=1

DESTDIR:=$(CURDIR)/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TARGET_ARCH ?= $(shell dpkg-architecture -qDEB_TARGET_ARCH_CPU)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
PATH:=$(PATH):$(CURDIR)/scripts
AUTOGENERATED:= libmetview-dev.install  metview.install
MV_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/metview
export METVIEW_DIR_DEV:=$(CURDIR)/debian/build
export METVIEW_BIN:=$(METVIEW_DIR_DEV)/bin
LC_ALL=C
export LC_ALL

FPIC:= ''

ifeq ($(TARGET_ARCH), i386)
	FPIC:= -fPIC
endif

# magic debhelper rule
%:
	dh $@ --buildsystem=cmake --builddirectory=$(METVIEW_DIR_DEV)

override_dh_auto_clean:
	dh_clean
	rm -rf $(METVIEW_DIR_DEV)
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	[ ! -f scripts/metview_base.in.bak ] || \
		( mv scripts/metview_base.in.bak scripts/metview_base.in )

# magics++ upstream ships with a copy of terralib, which is not used in Debian. 
# Instead we use # a shared terralib library, and so need to include terralib.
# Also -fPIC, for some reason.

override_dh_auto_configure:
	chmod +x ./scripts/*.mv
	# Hack. how to do this via ecbuild?
	cp scripts/metview_base.in scripts/metview_base.in.bak
	sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < scripts/metview_base.in \
		> scripts/tmpx && mv scripts/tmpx scripts/metview_base.in
	dh_auto_configure -- \
		-DMETVIEW_SITE=debian  \
		-DCMAKE_BUILD_TYPE=Release \
		-DMETVIEW_EXTRA_LIBRARIES='terralib -lemosR64' \
		-DMETVIEW_EXTRA_INCLUDES='/usr/include/terralib/kernel' \
		-DMAGICS_HAVE_METVIEW=True \
		-DMAGICS_HAVE_NETCDF=True \
		-DMAGICS_PATH=/usr \
		-DBUILD_SHARED_LIBS=On \
		-DENABLE_RPATHS=Off \
		-DFLEXTRA_PATH=/usr/bin/flextra \
		-DENABLE_QT5=On  \
		-DGRIB_API_PATH=/usr/lib \
		-DDISABLE_OS_CHECK=On \
		-DFPIC=${FPIC}
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%g'  < debian/CONFIG.site.in \
		> $(METVIEW_DIR_DEV)/scripts/CONFIG.site 
	# These get generated ok on a machine with network connection, but fail on sbuilds, etc.
	# so copy pre-generated versions stored in etc
	mkdir -p debian/build/share/metview/etc/
	cp debian/etc/* debian/build/share/metview/etc/
	cd debian/build/share/metview/etc && $(MAKE) ObjectListAll

override_dh_auto_test:
	@echo "Checks disabled for the moment due to syntax errors in tests" 

override_dh_fixperms-arch:
	dh_fixperms
	chmod 755 debian/metview/$(MV_DIR)/mv_compress
	chmod 644 debian/metview/$(MV_DIR)/metview_*.common
	chmod 644 debian/metview/$(MV_DIR)/metview_stat
	chmod 644 debian/metview/$(MV_DIR)/metview_patches
	file debian/metview/$(MV_DIR)/* | grep ELF | cut -f1 -d: | xargs chrpath -d

override_dh_fixperms-indep:
	dh_fixperms
	rm -rf debian/metview-data/usr/share/applications
	find debian/metview-data/usr/share/metview -type f -exec chmod 644 {} \;
	find debian/metview-data/usr/share/metview -type d -exec chmod 755 {} \; 
	# Hack. Why weren't these already compressed -n ?
	gunzip debian/metview-data/usr/share/metview/app-defaults/Sample_Drawers.tar.gz
	gunzip debian/metview-data/usr/share/metview/app-defaults/User_Dir_Frame.tar.gz
	gzip -n debian/metview-data/usr/share/metview/app-defaults/Sample_Drawers.tar
	gzip -n debian/metview-data/usr/share/metview/app-defaults/User_Dir_Frame.tar

## metview 4.6.7

=== CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake
#
#       -DCMAKE_C_COMPILER=gcc
#       -DCMAKE_C_COMPILER=g++
#
#       -DCMAKE_PREFIX_PATH=/path/to/jasper:/path/to/any/package/out/of/place
#       -DBUILD_SHARED_LIBS=OFF
#
#  Metview-specific:
#  -DMETVIEW_SITE=ecmwf | other
#  -DMETVIEW_SCRIPT=name-of-generated-startup-script
#  -DMARS_HOME=/path/to/MARS/home  (requires WITH_MARS=ON)
#  -DMAGICS_PATH=/path/to/magics   (requires WITH_PLOTTING=ON)
#  -DEXTRA_TITLE=extra-title-string
#  -DLOG_DIR=/path/to/dir/for/module/log/files
#  -DODB1_USE_SCRIPT_PATH=/path/to/odb1/use/script

cmake_minimum_required( VERSION 2.8.11 FATAL_ERROR )

project( metview C CXX Fortran)


# All executables and scripts apart from the startup script should go into MV_BIN_DIR.
# Users can override by setting METVIEW_INSTALL_EXE_BIN_DIR.
# It should be relative to the root of the install directory.
if(DEFINED METVIEW_INSTALL_EXE_BIN_DIR)
    set(MV_BIN_DIR ${METVIEW_INSTALL_EXE_BIN_DIR})
else()
    set(MV_BIN_DIR bin/metview_bin)
endif()


set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE OFF)

set(METVIEW_INSTALL_BIN_DIR "${MV_BIN_DIR}" CACHE PATH "Metview installation directory for executable files")

include( ecbuild_system NO_POLICY_SCOPE )


ecbuild_requires_macro_version( 1.9 )

ecbuild_enable_fortran( REQUIRED )


###############################################################################
# some options of this project

option( ENABLE_UI            "enable the user interface"                          ON )
option( ENABLE_MOTIF         "enable the classic Motif-based user interface"      OFF )
option( ENABLE_PLOTTING      "enable the plotting module"                         ON )
option( ENABLE_OPERA_RADAR   "enable OPERA radar filter module (requires proj4)"  AUTO )
option( ENABLE_MARS          "enable MARS access"                                 OFF )
option( ENABLE_ODB           "enable ODB"                                         OFF )
option( ENABLE_MARS_ODB      "enable ODB in MARS"                                 OFF )
option( ENABLE_USAGE_LOG     "enable usage logging (only at ECMWF)"               OFF )
option( ENABLE_QT_DEBUG      "enable Qt debugging messages"                       OFF )
option( ENABLE_QT5           "enable Qt5"                                         OFF )
option( ENABLE_INPE          "enable INPE modules"                                ON )
option( ENABLE_WEATHER_ROOM  "enable Weather Room plot export (only at ECMWF)"    OFF )
option( ENABLE_NETWORK_PROXY "enable network proxy settings for WMS"              OFF )
option( ENABLE_EXPERIMENTAL  "enable experimental modules"                        OFF )
option( ENABLE_CONTRIB       "enable externally contributed modules"              OFF )
 
###############################################################################


# ensure we can add non-existent dependencies - required for generating icon files
if( ${CMAKE_VERSION} VERSION_GREATER "2.9.9" )
    cmake_policy(SET CMP0046 OLD)
endif()



# if we don't explicitly state that we're at ECMWF, then assume we're not, and use the generic config
if(NOT METVIEW_SITE STREQUAL ecmwf)
    set( SITE_WMO_CODE "255")    # DO WE NEED AN OPTION TO ALLOW INSTALLERS TO SPECIFY THIS?
    set( MV_ENVIRON    "common")
    set( AT_ECMWF "FALSE" )
    ecbuild_info("Building outside ECMWF")
else()
    set( SITE_WMO_CODE "098")
    set( MV_ENVIRON    "ecm_lnx64")
    set( AT_ECMWF "TRUE" )
    add_definitions( -DECMWF )
    ecbuild_info("Building inside ECMWF")
endif()


if(DEFINED EXTRA_CONFIG_PATH)
    ecbuild_info("Will search ${EXTRA_CONFIG_PATH} for additional config files")
endif()



# default startup script name
if(NOT DEFINED METVIEW_SCRIPT )
    set( METVIEW_SCRIPT "metview" )
endif()

set(FULL_STARTUP_SCRIPT_PATH ${CMAKE_BINARY_DIR}/bin/${METVIEW_SCRIPT})

# ensure we don't build shared libraries
set(BUILD_SHARED_LIBS OFF)


# Weather Room plot export (ECMWF only)
if(ENABLE_WEATHER_ROOM)
    if(AT_ECMWF)
        ecbuild_add_extra_search_paths( boost ) # Weather Room export needs Boost
        find_package( Boost 1.49.0 )            # Weather Room export needs Boost
        set(MV_WEATHER_ROOM_BUILT true)
    else()
        ecbuild_error("ENABLE_WEATHER_ROOM only available when building at ECMWF")
    endif()
else()
    set(MV_WEATHER_ROOM_BUILT false)
endif()


if(ENABLE_INPE)
    set(METVIEW_INPE true)
endif()


# --------------------------------
# look for MARS client source code
# --------------------------------

if(MARS_SOURCE_PATH)
    # if the user specified a path, then only look there
    set(MARS_SOURCE_PATHS ${MARS_SOURCE_PATH}/src)
else()
    # otherwise look in some default locations
    set(MARS_SOURCE_PATHS ${CMAKE_SOURCE_DIR}/src/libMars         # embedded in source
                          ${CMAKE_SOURCE_DIR}/src/libMarsClient   # embedded in source
                          ${CMAKE_SOURCE_DIR}/mars-client/src     # bundle
                          ${CMAKE_SOURCE_DIR}/mars_client/src     # bundle
                          ${CMAKE_SOURCE_DIR}/../client/src       # in external dir
                          ${CMAKE_SOURCE_DIR}/../mars-client/src  # in external dir
                          ${CMAKE_SOURCE_DIR}/../mars_client/src) # in external dir
endif()

ecbuild_debug("Looking for MARS source in ${MARS_SOURCE_PATHS}")
find_path( MARS_SOURCE request.c
           HINTS ${MARS_SOURCE_PATHS}
           PATH_SUFFIXES src
           DOC "Path to MARS client source code"
           NO_DEFAULT_PATH )

if (MARS_SOURCE)
    ecbuild_info("Found MARS source at ${MARS_SOURCE}")
else()
    ecbuild_critical("MARS source is required, but was not found in  ${MARS_SOURCE_PATHS}")
endif()


# ensure the MARS client source is included in the tarball (if necessary)
if(NOT ${MARS_SOURCE} STREQUAL ${CMAKE_SOURCE_DIR}/src/libMars)
    list( APPEND CPACK_SOURCE_INSTALLED_DIRECTORIES
            "${MARS_SOURCE}" "src/libMarsClient")
endif()



# look for curl because it is needed for the Mars Web API client
find_package(CURL)

# local MARS access
if(ENABLE_MARS)
    set( MARS_ACCESS MARS_local )
    set( METVIEW_MARS 1 )
    if(DEFINED MARS_LOCAL_HOME)
        ecbuild_info("MARS_LOCAL_HOME=${MARS_LOCAL_HOME}")
        if(NOT EXISTS ${MARS_LOCAL_HOME})
            ecbuild_critical("MARS_LOCAL_HOME (${MARS_LOCAL_HOME}) does not exist")
        else()
            set(MARS_HOME ${MARS_LOCAL_HOME})
        endif()
    else()
        ecbuild_critical("If setting local MARS access, -DMARS_LOCAL_HOME=/path/to/mars/home must be provided.")
    endif()

    # FDB
    if(AT_ECMWF)
        ecbuild_use_package( PROJECT FDB REQUIRED )
    else()
        ecbuild_use_package( PROJECT FDB )
    endif()

    ecbuild_debug("FDB: ${FDB_LIBRARIES}")

    if( NOT FDB_FOUND )
        ecbuild_info("NO FDB")
    endif()


    if(ENABLE_MARS_ODB)
        set(ENABLE_ODB 1)
        set(METVIEW_MARS_ODB 1)
    endif()

    #find_library( FDB  REQUIRED )
    #ecbuild_debug("FDB: ${FDB_LIBRARIES}" )

else()
    if(${CURL_FOUND})
        set( MARS_ACCESS MARS_webapi )
    else()
        set( MARS_ACCESS MARS_none )
        add_definitions(-DNOCURL)
        ecbuild_warn("Could not find the Curl library - disabling Web API Mars")
    endif()
endif()




###############################################################################
# local project requirements

# ecbuild_use_package( PROJECT eckit VERSION 0.3 REQUIRED )

ecbuild_add_option( FEATURE ECCODES DESCRIPTION "" DEFAULT OFF )

if( HAVE_ECCODES )
  ecbuild_use_package( PROJECT eccodes VERSION 0.14 REQUIRED )
  set( GRIB_API_INCLUDE_DIRS ${ECCODES_INCLUDE_DIRS} )
  set( GRIB_API_LIBRARIES    ${ECCODES_LIBRARIES} )
  set( GRIB_API_DEFINITIONS  ${ECCODES_DEFINITIONS} )
  set( grib_api_BASE_DIR     ${eccodes_BASE_DIR} )
else()
  ecbuild_use_package( PROJECT grib_api VERSION 1.13.0 REQUIRED )
endif()


if(ENABLE_ODB)
    ecbuild_use_package( PROJECT odb_api  VERSION 0.10.1 ) # requires at least this version
    if( ODB_API_FOUND )

        set( METVIEW_ODB_API_LIBRARIES Odb )
        # does this version use eckit?
        list(FIND ODB_API_LIBRARIES eckit ODB_ECKIT_INDEX)
   

        if ((NOT ODB_ECKIT_INDEX EQUAL -1) OR (DEFINED ODB_ECKIT))  # is an eckit version
            if (DEFINED SEPARATE_ECKIT)
                ecbuild_use_package( PROJECT eckit VERSION 0.6 REQUIRED )
            endif()
            add_definitions(-DODB_ECKIT)
        endif()

        set(METVIEW_ODB 1)

        if(ODB_API_PATH)
            set(ODB_API_LIB_DIR ${ODB_API_PATH}/lib)
            set(ODB_API_BIN_DIR ${ODB_API_PATH}/bin)
        endif()

        add_definitions(-DMETVIEW_ODB_NEW -DMETVIEW_ODB)
        set(METVIEW_ODB_API_INCLUDE_DIRS ${ODB_API_INCLUDE_DIRS}
                                         ${ODB_API_INCLUDE_DIRS}/..
                                         ${ODB_API_INCLUDE_DIRS}/../eclib
                                         ${ODB_API_INCLUDE_DIRS}/../eclib/eclib
                                         ${ODB_API_INCLUDE_DIRS}/odblib
                                         ${ECKIT_INCLUDE_DIRS}) 
    else()
        if(ENABLE_MARS_ODB)
            ecbuild_critical("ENABLE_ODB was set, but ODB not found")
            set(ENABLE_MARS_ODB 0)
            set(METVIEW_MARS_ODB 0)
        endif()
    endif()
    ###list( APPEND METVIEW_TPLS odb_api )


    # ODB-1

    ecbuild_use_package( PROJECT ODB )
    
    if(ODB_FOUND)
        if(EXISTS ${ODB_PATH}/bin)
            if(EXISTS ${ODB_PATH}/bin/odbsql)
                add_definitions(-DMETVIEW_ODB_OLD)
                set(ENABLE_ODB1 "ON")

                if(ODB1_USE_SCRIPT) # was an ODB-1 use script name passed?
                    set(ODB1_LOAD_ENV "MV_ODB1_USE_SCRIPT=${ODB1_USE_SCRIPT}")
                endif()

                if(ODB1_MODULE) # was an ODB-1 module name passed?
                    set(ODB1_LOAD_ENV "MV_ODB1_MODULE=${ODB1_MODULE}")
                endif()

                if(ODB1_VERSION) # was an ODB-1 module name passed?
                    set(MV_ODB1_VERSION ${ODB1_VERSION})
                else()
                    set(MV_ODB1_VERSION "ANY")
                endif()

            else()
                ecbuild_warn("ODB-1 support is DISABLED - No odbsql script found in ${ODB_PATH}/bin")
            endif()
        else()
            ecbuild_warn("ODB-1 found, but no bin directory in ${ODB_PATH}")
        endif()
    else()
        ecbuild_warn("ODB-1 not found!")
    endif()
endif()


ecbuild_use_package( PROJECT libemos VERSION 4.0.5 REQUIRED )

if(ENABLE_PLOTTING)
    ecbuild_use_package( PROJECT magics VERSION 2.24.3)
    if( MAGICS_FOUND )

        set(MAGICS_LIB_DIR "${magics_BASE_DIR}/lib")

        if(ENABLE_UI AND (NOT MAGICS_HAVE_METVIEW))
            ecbuild_critical("Magics must be built with Metview and Qt support!")
        endif()

        if((NOT ENABLE_UI) AND (NOT MAGICS_HAVE_METVIEW_NO_QT))
            ecbuild_critical("No UI: Magics must be built with Metview but no Qt support!")
        endif()

        if(NOT MAGICS_HAVE_NETCDF)
            ecbuild_critical("Magics must be built with netCDF support!")
        endif()

        if(MAGICS_HAVE_ODB)
            add_definitions(-DMETVIEW_ODB_PLOT)
        else()
            if(ENABLE_ODB)
                ecbuild_warn("ODB plotting is disabled, because Magics was built without ODB support! Please, rebuild Magics with ODB support to enable ODB plotting!")  #xxx should be at end
            endif()
        endif()

        if(NOT MAGICS_HAVE_CAIRO)
            ecbuild_warn("NO PNG and PDF plotting support (disabled in Magics)")  #xxx should be at end
        endif()

        if(NOT MAGICS_HAVE_BUFR)

=== src/libUtil/CMakeLists.txt ===

set(libUtil_srcs
Box.cc
Cached.cc
Grib.cc
GribMetaData.cc
LogHandler.cc
MtInputEvent.cc
MvAlmostObsoleteRequest.cc
MvElement.cc
MvException.cc
MvFileInfo.cc
MvFlextra.cc
MvKeyProfile.cc
MvKeyManager.cc
MvList.cc
MvMiscelaneous.cc
MvPath.cc
MvProfileData.cc
MvRequestUtil.cc
MvRttov.cc
MvScm.cc
MvStopWatch.cc
MvVersionInfo.cc
Point.cc
proj_braz.cc
MvGribParC.c
Request.cc
TableReader.cc
Tokenizer.cc
UtilitiesC.c
Cached.h GribMetaData.h LogHandler.h MagicsColours.h MtInputEvent.h MvException.h
MvFileInfo.h MvFlextra.h MvGribParC.h MvKeyManager.h MvKeyProfile.h MvMessageMetaData.h MvMsg.h MvOdb.h
MvSTL.h MvStopWatch.h MvVersionInfo.h Rectangle.h Request.h UtilitiesC.h auto_ptr.h
bits.h gdefines.h inc_iostream.h inc_stl.h min_max_macros.h
xec.h
Assertions.hpp Box.hpp Factory.hpp Grib.hpp
MvAlmostObsoleteRequest.hpp MvCommandHistory.h MvElement.hpp MvList.hpp
MvMiscelaneous.h MvParTable.hpp MvPath.hpp
MvProfileData.h
MvRequestUtil.hpp MvRttov.h MvScm.h Point.hpp Projection.hpp Prototype.hpp
Types.hpp griddoc.hpp imagedoc.hpp proj_braz.hpp stypes.hpp
TableReader.h
Tokenizer.h)


#foreach( file ${_libUtil_srcs} )
#  list( APPEND libUtil_srcs libUtil/${file} )
#endforeach()

if (METVIEW_ODB)
 list(APPEND libUtil_srcs MvOdb.cc)
 set(LOCAL_EXTRA_INCLUDE_DIRS ${METVIEW_ODB_API_INCLUDE_DIRS})
endif()


###set( libUtil_srcs ${libUtil_srcs} PARENT_SCOPE )

ecbuild_add_library( TARGET      Util
                     TYPE        STATIC
                     NOINSTALL
                     SOURCES     ${libUtil_srcs}
                     TEMPLATES   ${common_templates}
                     INCLUDES    ${METVIEW_STANDARD_INCLUDES} ${LOCAL_EXTRA_INCLUDE_DIRS}
                     DEFINITIONS ${METVIEW_EXTRA_DEFINITIONS}
                     LIBS        ${METVIEW_EXTRA_LIBRARIES} 
#                     LIBS        ${METVIEW_EXTRA_LIBRARIES} MvMars Metview ${GRIB_API_LIBRARIES} 
                     DEPENDS     mvmarsxdr
)

=== test/macros/CMakeLists.txt ===

# ------------------------------------------------------------------------
# MACRO metview_etc_files
# Ensures the files listed in ETC_FILES are copied to the build directory
# and that they will be installed at install time
# ------------------------------------------------------------------------

macro(metview_macro_test)
    set(options)
    set(single_value_args MACRO)
    set(multi_value_args RESOURCES)
    cmake_parse_arguments( _PAR "${options}" "${single_value_args}" "${multi_value_args}" ${_FIRST_ARG} ${ARGN} )

    ecbuild_add_test(TARGET      ${_PAR_MACRO}_dummy_target
                     COMMAND     ${FULL_STARTUP_SCRIPT_PATH}
                     TYPE        SCRIPT
                     ARGS        -b ${_PAR_MACRO}
                     RESOURCES   ${_PAR_MACRO} ${_PAR_RESOURCES})

    set(all_tests "${all_tests}${_PAR_MACRO} ") # note the spacing
endmacro()



set(all_tests) # empty to start with



if(ENABLE_PLOTTING)
    metview_macro_test(MACRO     HelloWorld.mv
                       RESOURCES set_output.mv ../data/z500.grb)

    metview_macro_test(MACRO     layoutx3.mv
                       RESOURCES set_output.mv ../data/z500.grb)
endif()

metview_macro_test(MACRO     grib_nearest_gridpoint.mv
                   RESOURCES  ../data/t1000_LL_1x1.grb
                              ../data/t1000_LL_1x1_subarea.grb
                              ../data/t1000_LL_2x2.grb)

metview_macro_test(MACRO     interpolation_sh_to_ll.mv
                   RESOURCES  ../data/t1000_SH.grb)

metview_macro_test(MACRO     interpolation_sh_to_rgg.mv
                   RESOURCES  ../data/t1000_SH.grb)

metview_macro_test(MACRO     interpolation_rgg_to_ll.mv
                   RESOURCES  ../data/t1000_SH_to_RGG_reference.grb)

metview_macro_test(MACRO     grib_to_gpt.mv
                   RESOURCES  ../data/t1000_LL_2x2.grb)

metview_macro_test(MACRO     gpt_to_grib_with_template.mv
                   RESOURCES  ../data/t1000_LL_2x2.grb ../data/10U_GG.grb)

#metview_macro_test(MACRO     interpolation_gg_to_subarea.mv
#                   RESOURCES  ../data/10U_GG.grb)

metview_macro_test(MACRO     bufr_obs_filter.mv
                   RESOURCES  ../data/bufr-1.bufr ../data/bufr_obs_filter_reference.gpt)

metview_macro_test(MACRO     bufr_picker.mv
                   RESOURCES  ../data/bufr-2.bufr ../data/bufr_picker_reference.gpt)

metview_macro_test(MACRO     inline_c.mv
                   RESOURCES ../data/z500.grb)

metview_macro_test(MACRO     inline_fortran.mv
                   RESOURCES ../data/z500.grb)

metview_macro_test(MACRO     station.mv)

if(ENABLE_MARS)
    metview_macro_test(MACRO      MarsAccess.mv
                       RESOURCES  ../data/10U_GG.grb )
endif()


if(METVIEW_ODB)
    metview_macro_test(MACRO      odb_read.mv
                       RESOURCES  ../data/odb_test_set.odb )
endif()

# generate a script which can be used to run the tests on the installed version
set(METVIEW_COMMAND "${CMAKE_INSTALL_PREFIX}/bin/${METVIEW_SCRIPT}")
set(TESTS_DIR       "${CMAKE_CURRENT_BINARY_DIR}")
configure_file(post_install_tests.sh.in ${CMAKE_CURRENT_BINARY_DIR}/metview_post_install_tests.sh @ONLY)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/metview_post_install_tests.sh 
         DESTINATION ${MV_BIN_DIR}
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)

=== share/metview/etc/CMakeLists.txt ===

set(files
	AnnotationViewDef AnnotationViewRules
	AuxPrepBufrTable_B.txt AuxPrepBufrTable_D.txt
	AxisDef AxisRules
	BinningObjectDef BinningObjectRules
	CartesianViewDef CartesianViewRules
	CleanFileDef
	Coastlines
	CoastDef
	CoastRules
	ConfigRules
	ContDef
	ContRules
	DatacoverageDef
	DatacoverageRules
	DeviceDriverDef
	DeviceDriverRules
	DivrotDef
	DivrotRules
	DrawingPriorityDef
	DrawingPriorityRules
	EcfsDef
	EPSOutputDef
	GenAppDef
	GenAppRules
	GeoToGribDef
	GeoToGribRules
	GeoViewDef GeoViewRules
	GraphDef
	GraphRules
	GribToGeoDef
	Input_Window
	KMLOutputDef
	MARS_none
	MARS_local
	MARS_remote
	MARS_webapi
	MAXISDef MAXISRules
    MBOXPLOTDef MBOXPLOTRules
	MCOASTDef MCOASTRules
	MCONTDef MCONTRules
	MGRAPHDef MGRAPHRules
	MLEGENDDef MLEGENDRules
	MIMPORTDef MIMPORTRules  
	MSYMBDef MSYMBRules
	MTAYLORDef MTAYLORRules
	MTEXTDef MTEXTRules
	MWINDDef MWINDRules
	MacroDef
	MacroParamDef
	MacroParamRules
	MacroRules
	MagicsColors.h
	MapViewDef
	MapViewRules
	MarsDef
	MarsRules
	ObjectList
	ObjectList.forTesting
	ObsFilterDef
	ObsFilterRules
	ObsPlottingDef
	ObsPlottingRules
	OverlayControl
	OverlayControlDef
	OverlayControlRules
	PageFrameDef
	PageFrameRules
	PDFOutputDef
	PlotPageDef
	PlotPageRules
	PlotSubPageDef
	PlotSubPageRules
	PlotSuperPageDef
	PlotSuperPageRules
	Plot_Window_for_Image
	PNGOutputDef
	PottFDef
	PottFRules
	PSOutputDef
	RelHumDef
	RelHumRules
	Services
	SimpleFormulaDef
	SimpleFormulaRules
	StationDef
	StationRules
	SubpageFrameDef
	SubpageFrameRules
	SVGOutputDef
	SymbDef SymbRules
	TableCommonDef TableReaderDef TableReaderRules
	TextDef TextRules
	UiSpec.Bookmarks
	UiSpec.Breadcrumbs
	UiSpec.DetailedFolderView
	UiSpec.DrawerView
	UiSpec.FolderDrawerPanel
 	UiSpec.FolderHistory
	UiSpec.FolderPanel
	UiSpec.FolderView
 	UiSpec.IconFolderView
 	UiSpec.IconHelpView 
	UiSpec.IconHolderView
 	UiSpec.TemplateDrawerView
	UiSpec.ViewDrawerView
	VelstrDef VelstrRules
	VoidDef
	WidgetDef
	WindDef
	WindRules
	dwd.def
	ecmwf.def
	italy.def
	mars.chk
	oldrd.chk
	obsgroups.def
	rt_by_obsgroup.chk
	reportypes.def
	tigge.def
    marsdb.webapi.cfg
	ms_mars.cfg
	ms_mars.cfg.INFO
	macro_deprecated_functions.txt
	macro_templates.txt
	uPlotTable
	licence_for_about_box.txt
	licence_for_macros.txt
)



# Set the list of things that really need to be built before we can start running
# Metview for the purpose of generating Macro dictionaries, etc.

set(metview_core_targets
    macro
    ObjectListAllTarget
)


set(extra_install_files macro_built_in_functions)

ADD_CUSTOM_COMMAND(
    OUTPUT  ${CMAKE_BINARY_DIR}/share/metview/etc/macro_built_in_functions.txt
    COMMAND ${FULL_STARTUP_SCRIPT_PATH} -b ${CMAKE_CURRENT_SOURCE_DIR}/../../../scripts/generate_list_of_macro_functions.mv ${CMAKE_BINARY_DIR}/share/metview/etc/macro_built_in_functions.txt
    DEPENDS ${FULL_STARTUP_SCRIPT_PATH} ${metview_core_targets}
)

#ADD_CUSTOM_TARGET(macro_built_in_functions ALL DEPENDS ${CMAKE_BINARY_DIR}/share/metview/etc/macro_built_in_functions.txt)

set (dict_file "${CMAKE_BINARY_DIR}/share/metview/etc/dict.txt")

ADD_CUSTOM_COMMAND(
    OUTPUT  ${dict_file}
    COMMAND ${FULL_STARTUP_SCRIPT_PATH} -b ${CMAKE_CURRENT_SOURCE_DIR}/../../../scripts/generate_dictionary.mv ${dict_file}
    DEPENDS ${FULL_STARTUP_SCRIPT_PATH} ${metview_core_targets}
)

#ADD_CUSTOM_TARGET(macro_built_in_functions ALL DEPENDS ${CMAKE_BINARY_DIR}/share/metview/etc/macro_built_in_functions.txt)


#$(dict): ../$(STARTUP_SCRIPT)   generate_dictionary.mv  ../bin/macro ../bin/macro regenerate_object_list ../share/metview/etc/ObjectListAll
#	../$(STARTUP_SCRIPT) -b generate_dictionary.mv $(dict)


ADD_CUSTOM_COMMAND(
    OUTPUT  ${CMAKE_BINARY_DIR}/share/metview/etc/macro_icon_function_help.xml
    COMMAND ${FULL_STARTUP_SCRIPT_PATH} -b ${CMAKE_CURRENT_SOURCE_DIR}/../../../scripts/generate_icon_fun_help.mv ${dict_file} ${CMAKE_BINARY_DIR}/share/metview/etc/macro_icon_function_help.xml
    DEPENDS ${FULL_STARTUP_SCRIPT_PATH} ${dict_file} ${metview_core_targets}
)

ADD_CUSTOM_TARGET(macro_built_in_functions ALL DEPENDS ${CMAKE_BINARY_DIR}/share/metview/etc/macro_built_in_functions.txt
                                                       ${CMAKE_BINARY_DIR}/share/metview/etc/dict.txt
                                                       ${CMAKE_BINARY_DIR}/share/metview/etc/macro_icon_function_help.xml
                                                       ${CMAKE_BINARY_DIR}/share/metview/etc/)

#$(icon_function_help): $(dict) ../$(STARTUP_SCRIPT)   generate_icon_fun_help.mv ../bin/macro regenerate_object_list ../share/metview/etc/ObjectListAll
#	../$(STARTUP_SCRIPT) -b generate_icon_fun_help.mv $(icon_function_help)


list(APPEND generated_files   macro_built_in_functions.txt dict.txt macro_icon_function_help.xml)



#if (METVIEW_MARS_ODB)
#    list(APPEND files MarsOdbDef MarsOdbRules)
#endif()


# a macro to generate derived Mars definition and rules files
macro(generate_def_file
      generated_file source_file verb_extension)

    add_custom_command(
        OUTPUT ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/${generated_file}
	    COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/${source_file} | sed 's/RETRIEVE[^D]/RETRIEVE${verb_extension} /g' | sed 's/READ /READ${verb_extension} /g' > ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/${generated_file}
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${source_file})
    add_custom_target(${generated_file} DEPENDS ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/${generated_file})

    list(APPEND generated_files ${generated_file})
    list(APPEND dependencies  ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/${generated_file})

endmacro(generate_def_file)


generate_def_file(MarsG2Def      tigge.def _G2)
generate_def_file(MarsG2Rules    mars.chk  _G2)
generate_def_file(MarsTiggeDef   tigge.def _TIGGE)
generate_def_file(MarsTiggeRules mars.chk  _TIGGE)

if (METVIEW_MARS_ODB)
    generate_def_file(MarsOdbDef   ecmwf.def _ODB)
    generate_def_file(MarsOdbRules mars.chk  _ODB)
endif()


#if (METVIEW_ECREGRID)
#    generate_def_file(MarsEcRegridDef  ecmwf.def _ECREGRID)
#    generate_def_file(MarsEcRegridRules mars.chk _ECREGRID)
#endif()



# Set up ConfigDef to have the network proxy settings given to CMake
configure_file(ConfigDef.in ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ConfigDef @ONLY)

list(APPEND generated_files ConfigDef)



# at configure time we can just copy most of the files across to the build directory
foreach( f ${files} )
    # copy to the build directory
    configure_file(${f} ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ COPYONLY)
endforeach()



# add all these to the list of files to be installed
foreach( f ${files} ${generated_files})
    # ensure file is installed at install time
    install( FILES ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/${f}  
             DESTINATION share/metview/etc
             PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
endforeach()



# concatenate all object spec files into one
# remove all comments
# add "cat <<@ " as the first line, and "@" as the last
#message(STATUS "ModuleObjectSpecFiles: ${ModuleObjectSpecFiles}")

set(ObjectListAllComponents
       ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/Services
       ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ObjectList
       ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/uPlotTable
       ${ModuleObjectSpecFiles})


add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ObjectListAll
	COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/${MARS_ACCESS} > ObjectListAll.temp \; echo 'cat <<\@'   >> ObjectListAll.temp \; cat ${ObjectListAllComponents} >> ObjectListAll.temp \; echo '\@'          >> ObjectListAll.temp \; grep -v "^#" ObjectListAll.temp > ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ObjectListAll \; rm -f ObjectListAll.temp
#	COMMAND cat $(MARS_ACCESS) > ObjectListAll.temp \; echo "cat <<@ "   >> ObjectListAll.temp \; cat Services ObjectList uPlotTable >> ObjectListAll.temp \; cat `ls  ObjectSpec.* | grep -v \~`  >> ObjectListAll.temp \; echo "@"          >> ObjectListAll.temp \; grep -v '^#' ObjectListAll.temp > ObjectListAll
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/ObjectList ${ObjectListAllComponents})
add_custom_target(ObjectListAllTarget DEPENDS ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ObjectListAll)


install( FILES ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/etc/ObjectListAll
         DESTINATION share/metview/etc
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)


# add a target which will always be run. This will trigger the creation of the generated files if necessary
add_custom_command( 
    OUTPUT  defs_created.txt
    COMMAND touch defs_created.txt
    DEPENDS ${dependencies} ObjectListAllTarget
    )

add_custom_target( all_defs ALL DEPENDS defs_created.txt )

=== debian/changelog ===
metview (4.6.7-1) unstable; urgency=medium

  * New upstream release
   - g++6 patch merged upstream. 
   - Depend on 4.3.0+dfsg.2-8 of libterralib. Closes: #83471
   - To pre-generate files: ObjectListAll -> ObjectListAllTarget

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2016 06:46:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
   libmagics++-dev (>= 2.28.0-2),
   libxmu-dev, libgdbm-dev, libcurl4-gnutls-dev,
   libcairo2-dev, pkg-config, swig, libexpat1-dev,
-  libterralib-dev, ksh, libproj-dev,
+  libterralib-dev (>= 4.3.0+dfsg.2-8), 
+  ksh, libproj-dev, libqt5svg5-dev,
   libgd-dev, imagemagick, libnetcdf-dev, libnetcdf-cxx-legacy-dev,
   cmake, flextra, gfortran, libgeotiff-dev,
-  python-all-dev, python3-all-dev
+  python3-all-dev
 Standards-Version: 3.9.8
 Homepage: https://software.ecmwf.int/wiki/display/METV/Metview
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/metview.git

## metview 4.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,7 @@
 option( ENABLE_QT_DEBUG      "enable Qt debugging messages"                       OFF )
 option( ENABLE_QT5           "enable Qt5"                                         OFF )
 option( ENABLE_INPE          "enable INPE modules"                                ON )
+option( ENABLE_URL_DOWNLOAD  "enable downloading of files from URLs"              ON )
 option( ENABLE_WEATHER_ROOM  "enable Weather Room plot export (only at ECMWF)"    OFF )
 option( ENABLE_NETWORK_PROXY "enable network proxy settings for WMS"              OFF )
 option( ENABLE_EXPERIMENTAL  "enable experimental modules"                        OFF )
@@ -219,6 +220,14 @@
 endif()
 
 
+# Network access (download via URLs)
+if(ENABLE_URL_DOWNLOAD)
+    if(NOT CURL_FOUND)
+        ecbuild_critical("URL_DOWNLOAD was enabled, but the 'curl' development package was not found.")
+    endif()
+endif()
+
+
 
 
 ###############################################################################
@@ -318,7 +327,7 @@
 ecbuild_use_package( PROJECT libemos VERSION 4.0.5 REQUIRED )
 
 if(ENABLE_PLOTTING)
-    ecbuild_use_package( PROJECT magics VERSION 2.24.3)
+    ecbuild_use_package( PROJECT magics VERSION 2.24.4)
     if( MAGICS_FOUND )
 
         set(MAGICS_LIB_DIR "${magics_BASE_DIR}/lib")
@@ -339,12 +348,3 @@
             add_definitions(-DMETVIEW_ODB_PLOT)
         else()
             if(ENABLE_ODB)
-                ecbuild_warn("ODB plotting is disabled, because Magics was built without ODB support! Please, rebuild Magics with ODB support to enable ODB plotting!")  #xxx should be at end
-            endif()
-        endif()
-
-        if(NOT MAGICS_HAVE_CAIRO)
-            ecbuild_warn("NO PNG and PDF plotting support (disabled in Magics)")  #xxx should be at end
-        endif()
-
-        if(NOT MAGICS_HAVE_BUFR)

=== test/macros/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,11 @@
                        RESOURCES set_output.mv ../data/z500.grb)
 endif()
 
+
+metview_macro_test(MACRO     grib_dates.mv
+                   RESOURCES  ../data/fc_data.grib
+                              ../data/hindcast.grib)
+
 metview_macro_test(MACRO     grib_nearest_gridpoint.mv
                    RESOURCES  ../data/t1000_LL_1x1.grb
                               ../data/t1000_LL_1x1_subarea.grb
@@ -51,8 +56,21 @@
 metview_macro_test(MACRO     grib_to_gpt.mv
                    RESOURCES  ../data/t1000_LL_2x2.grb)
 
+metview_macro_test(MACRO     gpt_to_grib_core.mv
+                   RESOURCES  ../data/bufr_obs_filter_reference.gpt
+                              ../data/gpt_to_grib_reciprocal_reference.grb
+                              ../data/gpt_to_grib_exp_mean_reference.grb
+                              ../data/gpt_to_grib_exp_sum_reference.grb)
+
 metview_macro_test(MACRO     gpt_to_grib_with_template.mv
                    RESOURCES  ../data/t1000_LL_2x2.grb ../data/10U_GG.grb)
+
+metview_macro_test(MACRO     gpt_to_grib_nearest.mv
+                   RESOURCES  ../data/t1000_LL_7x7.grb
+                              ../data/example_XYLDTZ.geo
+                              ../data/gpt_to_grib_nearest_sum_reference.grb
+                              ../data/gpt_to_grib_nearest_mean_reference.grb
+                              ../data/gpt_to_grib_nearest_count_reference.grb)
 
 #metview_macro_test(MACRO     interpolation_gg_to_subarea.mv
 #                   RESOURCES  ../data/10U_GG.grb)

=== debian/changelog ===
metview (4.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Oct 2016 21:14:59 +0100

metview (4.7.0-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Sep 2016 19:46:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), 
+Build-Depends: debhelper (>= 10), 
   flex, bison, libhdf5-dev, libpango1.0-dev, chrpath, ksh,
   libqt5webkit5-dev, qtbase5-dev, libqt5xmlpatterns5-dev,
   libgrib-api-dev, libgrib-api-tools,

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	# so copy pre-generated versions stored in etc
 	mkdir -p debian/build/share/metview/etc/
 	cp debian/etc/* debian/build/share/metview/etc/
-	cd debian/build/share/metview/etc && $(MAKE) ObjectListAll
+	cd debian/build/share/metview/etc && $(MAKE) ObjectListAllTarget
 
 override_dh_auto_test:
 	@echo "Checks disabled for the moment due to syntax errors in tests"
